"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _tokenTypes = require("../tokenTypes");

var _default = function _default(tokenStream) {
  var fontFamily;

  if (tokenStream.matches(_tokenTypes.STRING)) {
    fontFamily = tokenStream.lastValue;
  } else {
    fontFamily = tokenStream.expect(_tokenTypes.IDENT);

    while (tokenStream.hasTokens()) {
      tokenStream.expect(_tokenTypes.SPACE);
      var nextIdent = tokenStream.expect(_tokenTypes.IDENT);
      fontFamily += " ".concat(nextIdent);
    }
  }

  tokenStream.expectEmpty();
  return {
    fontFamily: fontFamily
  };
};

exports["default"] = _default;